// ANCHOR: here
use std::env;
use std::fs;

fn main() {
    // --fragment pominięty--
    // ANCHOR_END: here
    let args: Vec<String> = env::args().collect();

    let query = &args[1];
    let file_path = &args[2];

    println!("Wyszukiwanie {}", query);
    // ANCHOR: here
    println!("W pliku {}", file_path);

    let contents = fs::read_to_string(file_path)
        .expect("Odczyt pliku powinien być możliwy");

    println!("Z tekstem:\n{contents}");
}
// ANCHOR_END: here
